from sklearn.model_selection import train_test_split
import decision
import numpy as np
import matplotlib.pyplot as plt

D = np.loadtxt( "circulos.csv", delimiter=',' )
print( D.shape )

X = D[:, 0:2]
y = D[:, 2]
print( X.shape )
print( y.shape )

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=41 )

# Se crea una imagen para poder visualizar
# los límites de decisión
n = 100

x = np.linspace(-1.2, 1.2, n)
y = np.linspace(-1.2, 1.2, n)

vx, vy = np.meshgrid( x, y )
Z = np.zeros( (n,n) )
i = 0
while i < n:
	j = 0
	while j < n:
		Z[i,j] = decision.eval( x[i], y[j] )
		j += 1
	i += 1

print( type(Z), Z.shape )

fig, ax = plt.subplots()

# ax.imshow( Z )
# ax.contourf( vx, vy, Z, cmap=plt.cm.coolwarm )
ax.contourf( vx, vy, Z )
ax.set_aspect(1)
# ax.scatter( decision.Vs[:,0], decision.Vs[:,1] )
ax.scatter( X_entrena[:,0], X_entrena[:,1] )
ax.scatter( X_prueba[:,0], X_prueba[:,1], c='red' )

plt.show( )
