import numpy as np
from sklearn.model_selection import train_test_split
from sklearn import svm

D = np.loadtxt( "circulos.csv", delimiter=',' )
print( D.shape )

X = D[:, 0:2]
y = D[:, 2]
print( X.shape )
print( y.shape )

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=41 )


# clasificador = svm.SVC( kernel='rbf' )
clasificador = svm.SVC( kernel='rbf', gamma=1.5 )

clasificador.fit(X_entrena, y_entrena)

# y_estimadas = clasificador.predict( y_prueba )

error = clasificador.score(X_prueba, y_prueba)
print( error )

print( clasificador.support_vectors_ )
print( clasificador.dual_coef_ )
print( clasificador.intercept_ )
print( clasificador._gamma )
